# Class FileDropperJmol

java.lang.Object
jspecview.java.FileDropperJmol

All Implemented Interfaces:
  `DropTargetListener, EventListener`

public class FileDropperJmol extends Object implements DropTargetListener
A simple Dropping class to allow files to be dragged onto a target. It supports drag-and-drop of files from file browsers, and CML text from editors, e.g. jEdit.

Note that multiple drops ARE thread safe.

Author:
  Billy invalid input: '<'simon.tyrrell@virgin.net>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FD_PROPERTY_INLINE`

## Constructor Summary

Constructors
Constructor
Description
`FileDropperJmol(PlatformViewer viewer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(PropertyChangeListener l)`
`void`
`dispose()`
`protected void`
`doDrop(PropertyChangeEvent evt)`
`void`
`dragEnter(DropTargetDragEvent dtde)`
`void`
`dragExit(DropTargetEvent dtde)`
`void`
`dragOver(DropTargetDragEvent dtde)`
`void`
`drop(DropTargetDropEvent dtde)`
`void`
`dropActionChanged(DropTargetDragEvent dtde)`
`void`
`removePropertyChangeListener(PropertyChangeListener l)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FD_PROPERTY_INLINE

public static final String FD_PROPERTY_INLINE

See Also:
  - Constant Field Values

## Constructor Details

### FileDropperJmol

public FileDropperJmol(PlatformViewer viewer)

Parameters:
  `viewer` -

## Method Details

### dispose

public void dispose()

### doDrop

protected void doDrop(PropertyChangeEvent evt)

### addPropertyChangeListener

public void addPropertyChangeListener(PropertyChangeListener l)

### removePropertyChangeListener

public void removePropertyChangeListener(PropertyChangeListener l)

### dragOver

public void dragOver(DropTargetDragEvent dtde)

Specified by:
  `dragOver` in interface `DropTargetListener`

### dragEnter

public void dragEnter(DropTargetDragEvent dtde)

Specified by:
  `dragEnter` in interface `DropTargetListener`

### dragExit

public void dragExit(DropTargetEvent dtde)

Specified by:
  `dragExit` in interface `DropTargetListener`

### dropActionChanged

public void dropActionChanged(DropTargetDragEvent dtde)

Specified by:
  `dropActionChanged` in interface `DropTargetListener`

### drop

public void drop(DropTargetDropEvent dtde)

Specified by:
  `drop` in interface `DropTargetListener`